#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        DrKonqi: The KDE Crash Handler
Name:           drkonqi
Version: 5.27.10
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5X11Extras)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5XmlRpcClient)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5Declarative)

BuildRequires:  cmake(KUserFeedback)

# runtime dependencies
BuildRequires:  kdeclarative
BuildRequires:  kitemmodels
BuildRequires:  syntax-highlighting
Requires:       kdeclarative
Requires:       kitemmodels
Requires:       syntax-highlighting

%description
DrKonqi: The KDE Crash Handler.

%files -f %name.lang
%_kf5_categoriesdir/drkonqi.categories
%_libexecdir/drkonqi
%_libexecdir/drkonqi-coredump-cleanup
%_libexecdir/drkonqi-coredump-launcher
%_libexecdir/drkonqi-coredump-processor
%_kf5_bindir/drkonqi-coredump-gui
%_kf5_applicationsdir/org.kde.drkonqi.desktop
%_kf5_applicationdir/org.kde.drkonqi.coredump.gui.desktop
%_kf5_datadir/drkonqi
%_qt5_plugindir/drkonqi/KDECoredumpNotifierTruck.so
%_systemd_util_dir/system/drkonqi-coredump-processor@.service
%_systemd_util_dir/user/drkonqi-coredump-cleanup.service
%_systemd_util_dir/user/drkonqi-coredump-cleanup.timer
%_systemd_util_dir/user/drkonqi-coredump-launcher.socket
%_systemd_util_dir/user/drkonqi-coredump-launcher@.service

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %name --all-name


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039924
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958028
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951940
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949066
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945773
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944785
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942052
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935061
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930050
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923102
- New version 5.26.4

* Thu Dec 01 2022 daviddavid <daviddavid> 5.26.3-2.mga9
+ Revision: 1913824
- add some missing runtime dependencies on kdeclarative, kitemmodels and syntax-highlighting

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907521
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1890064
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875453
- New version 5.25.4

* Thu Jul 28 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872731
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Wed Apr 06 2022 umeabot <umeabot> 5.24.4-2.mga9
+ Revision: 1846128
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766151
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756816
- New version 5.23.3

* Tue Oct 26 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1752935
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736160
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721744
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715378
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704255
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697425
- New version 5.21.2

* Sat Feb 27 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1692628
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654179
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645394
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639967
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637724
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635428
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620765
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609631
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603030
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598745
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1596064
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580790
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557188
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550404
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548285
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 5.18.0-2.mga8
+ Revision: 1547177
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496407
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 5.17.90-1.mga8
+ Revision: 1487427
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 5.17.4-1.mga8
+ Revision: 1464324
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 5.17.3-1.mga8
+ Revision: 1460085
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 5.17.2-1.mga8
+ Revision: 1456793
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 5.17.1-1.mga8
+ Revision: 1455360
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 5.17.0-1.mga8
+ Revision: 1453189
- New version 5.17.0

* Mon Sep 30 2019 neoclust <neoclust> 5.16.90-1.mga8
+ Revision: 1448295
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 5.16.5-1.mga8
+ Revision: 1437074
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 5.16.4-1.mga8
+ Revision: 1426342
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 5.16.3-1.mga8
+ Revision: 1420178
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386877
- New version 5.15.4

* Sat Mar 30 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1381597
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374956
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370582
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368619
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367256
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356203
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339340
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324905
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1297509
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252619
- New version 5.13.4

* Sat Jul 14 2018 wally <wally> 5.12.2-3.mga7
+ Revision: 1243696
- add slightly modified patch from upstream to fix build with Qt >= 5.11

* Sun Mar 11 2018 neoclust <neoclust> 5.12.2-2.mga7
+ Revision: 1208093
- Add conflict to ease upgrade

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204469
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201015
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194772
- imported package drkonqi

